package com.xxl.job.admin.controller.interceptor;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.core.util.FtlUtil;
import com.xxl.job.admin.core.util.I18nUtil;
import java.util.HashMap;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.AsyncHandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

@Component
public class CookieInterceptor implements AsyncHandlerInterceptor {
  public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {
    if (modelAndView != null && request.getCookies() != null && (request.getCookies()).length > 0) {
      HashMap<String, Cookie> cookieMap = new HashMap<>();
      for (Cookie ck : request.getCookies())
        cookieMap.put(ck.getName(), ck); 
      modelAndView.addObject("cookieMap", cookieMap);
    } 
    if (modelAndView != null)
      modelAndView.addObject("I18nUtil", FtlUtil.generateStaticModel(I18nUtil.class.getName())); 
  }
}
